#include <Alert.h>
#include "rrclient.h"
#include "rrclientReplicantView.h"

extern const char *app_signature;

rrclientApp::rrclientApp(bool install_in_deskbar):BApplication(app_signature)
{
	if (install_in_deskbar)
	{
			BRect aRect(0, 0, 15, 15);
			BMessenger messenger("application/x-vnd.Be-TSKB", -1, NULL);
			//if no rrclient replicant in the deskbar...
			    aRect.OffsetBy(10, 0);
			    rrclientReplicantView *replicant = new rrclientReplicantView( aRect, "rrclient");
			    BMessage archiveMsg(B_ARCHIVED_OBJECT);
			    replicant->Archive(&archiveMsg);
			    messenger.SendMessage(&archiveMsg);
			//end if
			PostMessage(B_QUIT_REQUESTED);
			return;
	}
	
	BRect aRect(100,100,115,115);
	BWindow *window = new BWindow(aRect, "rrclient", B_MODAL_WINDOW_LOOK, B_NORMAL_WINDOW_FEEL , B_NOT_RESIZABLE | 
							B_NOT_ZOOMABLE | B_NOT_MINIMIZABLE | B_NOT_CLOSABLE | B_WILL_ACCEPT_FIRST_CLICK, B_CURRENT_WORKSPACE);
	
	aRect.Set(0,0,15,15);
	BView *replicant = new rrclientReplicantView( aRect, "rrclient");
	window->AddChild(replicant);
	window->Show();
}

bool rrclientApp::QuitRequested()
{
	be_app->PostMessage( B_QUIT_REQUESTED );
	return TRUE;
}

void rrclientApp::AboutRequested(void)
{
	(new BAlert("About rrclient", "rrclient\n\n\t By:Don Wurster\n\t dew8597@rit.edu","OK"))->Go();
}